"""
Este archivo se corresponde con el cuarto paso del curso.

       Enero de 2022

    Angel Luis Aldana Valverde
        angel.l.aldana@prohimet.org
        https://www.edaphi.es
        https://www.angel-l-aldana.com
"""


import builtins
import sys
import os


'''
La utilidad de la función dir()
'''
print(dir(builtins))
if 'max' in dir(builtins):
    print('max está en las funciones básicas del intérprete')
else:
    print('No está')

print(max(1, 3))

'''
Empecemos con los módulos estándar
Conceptos de módulos, bibliotecas, paquetes, ...
Módulo sys:
'''
print("La variable de entorno PATH del sistema contiene:")
for v in sys.path:
    print("   " + v)


print("Los módulos accesibles son:")
for v in sorted(sys.modules):
    print("   " + v)


'''
Módulo os
'''

print("Este módulo está en " + os.path.dirname(os.path.abspath(__file__)))
print("El directorio actual es " + os.getcwd())


nom_f = os.path.join(os.getcwd(), "Prueba.txt")
print("Vamos a crear el archivo " + nom_f)
txt = "Esta es la primera línea del archivo "  # Incluye tilde
txt += "\n0,1,2,3"
f = open(nom_f, 'w', encoding='cp850')
f.write(txt)
f.close()
os.system("start " + nom_f)

# Para leerlo:
print("Y lo leemos:")
f = open(nom_f, 'r', encoding='cp850')
lineas_txt = f.read().split('\n')
f.close()
campos = lineas_txt[1].split(',')
print(lineas_txt[0])
print(campos)

