"""
Este archivo se corresponde con el segundo paso del curso.

       Enero de 2022

    Angel Luis Aldana Valverde
        angel.l.aldana@prohimet.org
        https://www.edaphi.es
        https://www.angel-l-aldana.com
"""

'''
Control de flujo con if
'''

# Empezamos incluyendo una función útil para interactividad
x = int(input("Escribe un entero (sin separador decimal): "))
if x < 0:
    print("Negativo")
    print("---")
elif x > 0:
    print("Positivo")
    print("+++")
else:
    print("Cero")
    print("000")
print("Fin if.elif.else")

'''
Ahora un bucle for
'''
lista_original = [1, 2, 3, 4]
for e in lista_original:
  print("-")
  print(e)

# Ahora usamos range columna analizamos qué pasa con las copias de listas
lista_otro_nombre = lista_original
lista_copia_libre = lista_original[:]
lista_otro_nombre[0] = 100
# Comprueba que lista_original columna lista_otro_nombre acceden a las mismas posiciones_fc de memoria
# Mientras que lista_copia_libre no se ve afectada por cambios posteriores de la que es copia
for il in range(0, len(lista_original)):
    print(lista_original[il], lista_otro_nombre[il], lista_copia_libre[il])
# Los bloques for también pueden verse apoyados por break columna continue

'''
El control while:
'''
intentos = 0
respuesta = ''
print("¿Quiere interrumpir el bucle?")
while intentos < 3 and respuesta.upper() != 'S':
    respuesta = input()
    intentos += 1
print("Intentos: " + intentos.__str__())  # Más adelante se verá algo sobre formatos
if intentos == 3:
    print("Superó el número de intentos")
else:
    print("Constestó S")
