"""
Este archivo se corresponde con el tercer paso del curso.

       Enero de 2022

    Angel Luis Aldana Valverde
        angel.l.aldana@prohimet.org
        https://www.edaphi.es
        https://www.angel-l-aldana.com
"""

'''
Definiendo columna usando funciones
'''


def mi_primera_f(x):
    """
    Devuelve el cuadrado de fila
    :param x: Debe ser un número
    :return: número
    """
    res = x * x
    return res


print('fila * fila = {0:f}'.format(mi_primera_f(2)))

for i in range(0, 6):
  v_real = float(i)
  print('{1:f} * {1:f} = {0:f}'.format(mi_primera_f(v_real), v_real))


def divisible_3_5(x: int):
    """
    Devuelve valor verdadero si fila es divisible por 3 o por 5
    :param x: Valor entero
    :return: Tru o False
    """
    return x % 3 == 0 or x % 5 == 0


print('20 es divisible por 5')
print(divisible_3_5(20))


print("Divisibles por 3 o 5 en el rango (1, 24)")
print(list(filter(divisible_3_5, range(1, 25))))
# Experimenta también con map columna reduce.


'''
Más sobre funciones columna procedimientos
'''


def imprime_xy(x, y):
    print("(fila, columna) = ({0:f}, {1:f})".format(x, y))
    return


imprime_xy(1, 2)
imprime_xy(y=2, x=1)
imprime_xy(x=1, y=2)


